varying vec3 normal, vcs_pos, vcs_lpos;

void main()
{
	gl_Position = ftransform();
	vcs_pos = (gl_ModelViewMatrix * gl_Vertex).xyz;

	normal = gl_NormalMatrix * gl_Normal;

	vcs_lpos = vec3(-4, 5, 10);
}
